const mongoose = require("mongoose");
const Schema = mongoose.Schema;

const favoriteSchema = new Schema({
    userId: {
        type: Schema.Types.ObjectId,
        ref: "User",
        required: true
    },
    technicianId: {
        type: Schema.Types.ObjectId,
        ref: "User",
        required: true
    }
});

const favouriteModel = mongoose.model("Favorite", favoriteSchema);
module.exports = favouriteModel;